| DocBook: The Definitive Guide 2.0.17 (Alpha)

# inlineequation

$Revision$

$Date$

inlineequation — A mathematical equation or expression occurring inline

## Synopsis

### Content Model

    inlineequation ::=
    ((alt?,
      (graphic+|inlinemediaobject+|mathphrase+)))

### Attributes

Common attributes

## Description

`InlineEquation`s are expressions (usually mathematical) that occur in the text flow.

### Processing expectations

Formatted inline.

`InlineEquation` should not contain `Graphic`. Instead, it should contain `InlineGraphic`. Within an `InlineEquation`, `Graphic` should be rendered inline.

### Future Changes

In DocBook V5.0, `InlineGraphic` and `Graphic` will be discarded.

### Parents

These elements contain inlineequation: `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `emphasis`, `entry`, `firstterm`, `foreignphrase`, `glosssee`, `glossseealso`, `glossterm`, `lineannotation`, `link`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `para`, `phrase`, `productname`, `programlisting`, `quote`, `refentrytitle`, `remark`, `screen`, `screeninfo`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `td`, `term`, `termdef`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `ulink`.

### Children

The following elements occur in inlineequation: `alt`, `graphic`, `inlinemediaobject`, `mathphrase`.

## See Also

`equation`, `informalequation`, `subscript`, `superscript`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Einstein's theory of relativity includes one of the most
    widely recognized formulas in the world:
    <inlineequation>
      <alt>e=mc^2</alt>
      <graphic fileref="figures/emc2.png"/>
    </inlineequation>
    </para>

Einstein's theory of relativity includes one of the most widely recognized formulas in the world:

For additional examples, see also `inlinemediaobject`.

initializer |  | inlinegraphic

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.